<?php

namespace App\Modules\BookingTourPassenger\Application\ValidateGroups;

use App\Modules\BookingTourPassenger\Domain\BookingTourPassengerRepository;
use App\Modules\BookingTourPassenger\Domain\IdBookingTourPassenger;

class BookingTourPassengerGroupsValidator
{
    public function __construct(
        private BookingTourPassengerRepository $repository
    ) {
    }

    public function __invoke(IdBookingTourPassenger $idBookingTourPassenger)
    {
        $this->repository->bookingTourPassengerGroupsValidation($idBookingTourPassenger);
    }
}
